package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.SYXXX;
import com.sinosig.core.module.filter.SYXXXSearchContext;

/**
 * 实体[SYXXX] 服务对象接口
 */

public interface ISYXXXService{
     SYXXX createTempMajor(SYXXX syxxx) ;
     SYXXX updateTemp(SYXXX syxxx) ;
     SYXXX getDraftTempMajor(SYXXX syxxx) ;
     boolean create(SYXXX syxxx) ;
     SYXXX get(String syxxxid) ;
     SYXXX get(SYXXX syxxx) ;
     SYXXX removeTempMajor(SYXXX syxxx) ;
     SYXXX createTemp(SYXXX syxxx) ;
     boolean remove(String syxxxid) ;
     boolean update(SYXXX syxxx) ;
     SYXXX updateTempMajor(SYXXX syxxx) ;
     SYXXX getTempMajor(SYXXX syxxx) ;
     SYXXX getDraft(SYXXX syxxx) ;
     boolean checkKey(SYXXX syxxx) ;
     SYXXX removeTemp(SYXXX syxxx) ;
     SYXXX getDraftTemp(SYXXX syxxx) ;
     SYXXX getTemp(SYXXX syxxx) ;
     boolean save(SYXXX syxxx) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<SYXXX> searchDefault(SYXXXSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<SYXXX> selectByCID(String cidid) ;
     List<SYXXX> selectByCID2(String cidid);

}
